Subject: Re: bug#994: 23.0.60; minibuffer completion should act on all minibuffer input

From: Andreas Schwab <[email-masked]>
Date: Wed, 17 Sep 2008 23:32:41 +0200

"Drew Adams" <[email-masked]> writes:

> emacs -Q
>  
> Given an existing file foo-bar.el, do `M-x foo-b RET', getting a new
> buffer `foo-b'.
>  
> Then do `C-x C-v TAB'. There is no completion of `foo-b' to
> `foo-bar.el', because (a) point is just after the directory name,
> before `foo-b' (as it should be) and (b) completion now acts only
> on the text before point.
>  
> This non-completion is a "feature" introduced in Emacs 22, the idea
> being that only stuff to the left of point should be completed. To me,
> this is a bug (misfeature), and this is a good example why.

Counter example: I visit a file, then want to visit a new file with the
same name but in a different directory.  Type C-x C-f <left> <down>,
edit the directory before point and type TAB.  I expect to get the
directory part properly completed although the file does not exist.
Completion is inherently context dependent.

Andreas.

-- 
Andreas Schwab, SuSE Labs, [email-masked]
SuSE Linux Products GmbH, Maxfeldstraße 5, 90409 Nürnberg, Germany
PGP key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."